Package com.collabnet.ce.soap60.webservices.pluggable

# Class PluggableComponent3SoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent3SoapDO

public class PluggableComponent3SoapDO extends FolderSoapDO
PluggableComponent3SoapDO represents an integrated applications data..

Since:
  7.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluggableComponent3SoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdminurl()`
  Returns 'adminurl'.
  `String`
  `getBaseurl()`
  Returns 'baseurl'.
  `PluggableComponentParameterSoapDO[]`
  `getConfigParameters()`
  Returns 'configParameters'.
  `String`
  `getDescription()`
  Returns 'description'.
  `boolean`
  `getEnabled()`
  Returns 'enabled'.
  `String`
  `getEndpoint()`
  Returns 'endpoint'.
  `PluggableComponentParameterSoapDO[]`
  `getGlobalConfigParameters()`
  Returns 'globalConfigParameters'.
  `String`
  `getGourl()`
  Returns 'gourl'.
  `String`
  `getIconKey()`
  Returns 'iconKey'.
  `String`
  `getIdPattern()`
  Returns 'idPattern'.
  `String`
  `getName()`
  Returns 'name'.
  `String`
  `getPceDescription()`
  Returns 'pceDescription'.
  `String`
  `getPceInputType()`
  Returns 'pceInputType'.
  `String`
  `getPceResultFormat()`
  Returns 'pceResultFormat'.
  `String`
  `getPceTitle()`
  Returns 'pceTitle'.
  `PluggablePermissionSoapDO[]`
  `getPermissions()`
  Returns 'permissions'.
  `String`
  `getPrefix()`
  Returns 'prefix'.
  `String`
  `getRequirePageComponent()`
  Returns 'requirePageComponent'.
  `String`
  `getRequirePrefixProject()`
  Returns 'requirePrefixProject'.
  `String`
  `getRequireSCMIntegration()`
  Returns 'requireSCMIntegration'.
  `IntegratedAppResourceBundleSoapDO[]`
  `getResourceBundles()`
  Returns 'resourceBundles'.
  `String`
  `getServiceType()`
  Returns 'serviceType'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setAdminurl(String adminurl)`
  Sets 'adminurl'.
  `void`
  `setBaseurl(String baseurl)`
  Sets 'baseurl'.
  `void`
  `setConfigParameters(PluggableComponentParameterSoapDO[] configParameters)`
  Sets 'configParameters'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setEnabled(boolean enabled)`
  Sets 'enabled'.
  `void`
  `setEndpoint(String endpoint)`
  Sets 'endpoint'.
  `void`
  `setGlobalConfigParameters(PluggableComponentParameterSoapDO[] globalConfigParameters)`
  Sets 'globalConfigParameters'.
  `void`
  `setGourl(String gourl)`
  Sets 'gourl'.
  `void`
  `setIconKey(String iconKey)`
  Sets 'iconKey'.
  `void`
  `setIdPattern(String idPattern)`
  Sets 'idPattern'.
  `void`
  `setName(String name)`
  Sets 'name'.
  `void`
  `setPceDescription(String pceDescription)`
  Sets 'pceDescription'.
  `void`
  `setPceInputType(String pceInputType)`
  Sets 'pceInputType'.
  `void`
  `setPceResultFormat(String pceResultFormat)`
  Sets 'pceResultFormat'.
  `void`
  `setPceTitle(String pceTitle)`
  Sets 'pceTitle'.
  `void`
  `setPermissions(PluggablePermissionSoapDO[] permissions)`
  Sets 'permissions'.
  `void`
  `setPrefix(String prefix)`
  Sets 'prefix'.
  `void`
  `setRequirePageComponent(String requirePageComponent)`
  Sets 'requirePageComponent'.
  `void`
  `setRequirePrefixProject(String requirePrefixProject)`
  Sets 'requirePrefixProject'.
  `void`
  `setRequireSCMIntegration(String requireSCMIntegration)`
  Sets 'requireSCMIntegration'.
  `void`
  `setResourceBundles(IntegratedAppResourceBundleSoapDO[] resourceBundles)`
  Sets 'resourceBundles'.
  `void`
  `setServiceType(String serviceType)`
  Sets 'serviceType'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  `getParentFolderId, getPath, getProjectId, getTitle, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluggableComponent3SoapDO

    public PluggableComponent3SoapDO()

- ## Method Details

  - ### getName

    public String getName()
    Returns 'name'.
    Returns:
      Value of 'name'.

  - ### setName

    public void setName(String name)
    Sets 'name'.
    Parameters:
      `name` - Value of 'name'.

  - ### getDescription

    public String getDescription()
    Returns 'description'.
    Overrides:
      `getDescription` in class `FolderSoapDO`
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'.
    Overrides:
      `setDescription` in class `FolderSoapDO`
    Parameters:
      `description` - Value of 'description'.

  - ### getBaseurl

    public String getBaseurl()
    Returns 'baseurl'.
    Returns:
      Value of 'baseurl'.

  - ### setBaseurl

    public void setBaseurl(String baseurl)
    Sets 'baseurl'.
    Parameters:
      `baseurl` - Value of 'baseurl'.

  - ### getIconKey

    public String getIconKey()
    Returns 'iconKey'.
    Returns:
      Value of 'iconKey'.

  - ### setIconKey

    public void setIconKey(String iconKey)
    Sets 'iconKey'.
    Parameters:
      `iconKey` - Value of 'iconKey'.

  - ### getPrefix

    public String getPrefix()
    Returns 'prefix'.
    Returns:
      Value of 'prefix'.

  - ### setPrefix

    public void setPrefix(String prefix)
    Sets 'prefix'.
    Parameters:
      `prefix` - Value of 'prefix'.

  - ### getGourl

    public String getGourl()
    Returns 'gourl'.
    Returns:
      Value of 'gourl'.

  - ### setGourl

    public void setGourl(String gourl)
    Sets 'gourl'.
    Parameters:
      `gourl` - Value of 'gourl'.

  - ### getConfigParameters

    public PluggableComponentParameterSoapDO[] getConfigParameters()
    Returns 'configParameters'.
    Returns:
      Value of 'configParameters'.

  - ### setConfigParameters

    public void setConfigParameters(PluggableComponentParameterSoapDO[] configParameters)
    Sets 'configParameters'.
    Parameters:
      `configParameters` - Value of 'configParameters'.

  - ### getGlobalConfigParameters

    public PluggableComponentParameterSoapDO[] getGlobalConfigParameters()
    Returns 'globalConfigParameters'.
    Returns:
      Value of 'globalConfigParameters'.

  - ### setGlobalConfigParameters

    public void setGlobalConfigParameters(PluggableComponentParameterSoapDO[] globalConfigParameters)
    Sets 'globalConfigParameters'.
    Parameters:
      `globalConfigParameters` - Value of 'globalConfigParameters'.

  - ### getEndpoint

    public String getEndpoint()
    Returns 'endpoint'.
    Returns:
      Value of 'endpoint'.

  - ### setEndpoint

    public void setEndpoint(String endpoint)
    Sets 'endpoint'.
    Parameters:
      `endpoint` - Value of 'endpoint'.

  - ### getRequirePrefixProject

    public String getRequirePrefixProject()
    Returns 'requirePrefixProject'.
    Returns:
      Value of 'requirePrefixProject'.

  - ### setRequirePrefixProject

    public void setRequirePrefixProject(String requirePrefixProject)
    Sets 'requirePrefixProject'.
    Parameters:
      `requirePrefixProject` - Value of 'requirePrefixProject'.

  - ### getRequireSCMIntegration

    public String getRequireSCMIntegration()
    Returns 'requireSCMIntegration'.
    Returns:
      Value of 'requireSCMIntegration'.

  - ### setRequireSCMIntegration

    public void setRequireSCMIntegration(String requireSCMIntegration)
    Sets 'requireSCMIntegration'.
    Parameters:
      `requireSCMIntegration` - Value of 'requireSCMIntegration'.

  - ### getAdminurl

    public String getAdminurl()
    Returns 'adminurl'.
    Returns:
      Value of 'adminurl'.

  - ### setAdminurl

    public void setAdminurl(String adminurl)
    Sets 'adminurl'.
    Parameters:
      `adminurl` - Value of 'adminurl'.

  - ### getPermissions

    public PluggablePermissionSoapDO[] getPermissions()
    Returns 'permissions'.
    Returns:
      Value of 'permissions'.

  - ### setPermissions

    public void setPermissions(PluggablePermissionSoapDO[] permissions)
    Sets 'permissions'.
    Parameters:
      `permissions` - Value of 'permissions'.

  - ### getResourceBundles

    public IntegratedAppResourceBundleSoapDO[] getResourceBundles()
    Returns 'resourceBundles'.
    Returns:
      Value of 'resourceBundles'.

  - ### setResourceBundles

    public void setResourceBundles(IntegratedAppResourceBundleSoapDO[] resourceBundles)
    Sets 'resourceBundles'.
    Parameters:
      `resourceBundles` - Value of 'resourceBundles'.

  - ### getRequirePageComponent

    public String getRequirePageComponent()
    Returns 'requirePageComponent'.
    Returns:
      Value of 'requirePageComponent'.

  - ### setRequirePageComponent

    public void setRequirePageComponent(String requirePageComponent)
    Sets 'requirePageComponent'.
    Parameters:
      `requirePageComponent` - Value of 'requirePageComponent'.

  - ### getPceInputType

    public String getPceInputType()
    Returns 'pceInputType'.
    Returns:
      Value of 'pceInputType'.

  - ### setPceInputType

    public void setPceInputType(String pceInputType)
    Sets 'pceInputType'.
    Parameters:
      `pceInputType` - Value of 'pceInputType'.

  - ### getPceResultFormat

    public String getPceResultFormat()
    Returns 'pceResultFormat'.
    Returns:
      Value of 'pceResultFormat'.

  - ### setPceResultFormat

    public void setPceResultFormat(String pceResultFormat)
    Sets 'pceResultFormat'.
    Parameters:
      `pceResultFormat` - Value of 'pceResultFormat'.

  - ### getPceDescription

    public String getPceDescription()
    Returns 'pceDescription'.
    Returns:
      Value of 'pceDescription'.

  - ### setPceDescription

    public void setPceDescription(String pceDescription)
    Sets 'pceDescription'.
    Parameters:
      `pceDescription` - Value of 'pceDescription'.

  - ### getPceTitle

    public String getPceTitle()
    Returns 'pceTitle'.
    Returns:
      Value of 'pceTitle'.

  - ### setPceTitle

    public void setPceTitle(String pceTitle)
    Sets 'pceTitle'.
    Parameters:
      `pceTitle` - Value of 'pceTitle'.

  - ### getEnabled

    public boolean getEnabled()
    Returns 'enabled'.
    Returns:
      Value of 'enabled'.

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Sets 'enabled'.
    Parameters:
      `enabled` - Value of 'enabled'.

  - ### getIdPattern

    public String getIdPattern()
    Returns 'idPattern'.
    Returns:
      Value of 'idPattern'.

  - ### setIdPattern

    public void setIdPattern(String idPattern)
    Sets 'idPattern'.
    Parameters:
      `idPattern` - Value of 'idPattern'.

  - ### getServiceType

    public String getServiceType()
    Returns 'serviceType'.
    Returns:
      Value of 'serviceType'.

  - ### setServiceType

    public void setServiceType(String serviceType)
    Sets 'serviceType'.
    Parameters:
      `serviceType` - Value of 'serviceType'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)